分类 学习git 下的文章

cfsoft_for_glpi_plugins

glpi插件:康虎报表打印
1、地址:https://github.com/leangjia/glpi_plugins_cfsoft.git

2、新建:

echo "# glpi_plugins_cfsoft" >> README.md
git init
git add README.md
git commit -m "first commit"
git remote add origin https://github.com/leangjia/glpi_plugins_cfsoft.git
git push -u origin master

3、或推送现有代码:

git remote add origin https://github.com/leangjia/glpi_plugins_cfsoft.git
git push -u origin master

OpenWRT防止KRACK攻击WPA2的解决办法【2017-10-20】

昨天出来的修复补丁:使用OpenWRT固件的路由器可将path修复补丁更新到固件中,解决KRACK攻击WPA2。
来自OpenWRT官方论坛的最新消息:https://forum.openwrt.org/viewtopic.php?id=72340&p=3
1、CC版本的OpenWRT更新:https://github.com/openwrt/openwrt/tree/chaos_calmer

用git命令检出源码后参考OP官方wiki教程https://wiki.openwrt.org/doc/howtobuild/single.package来构建修复补丁程序。编译构建好了hostapd包之后,你将在bin目录中获取wpad-mini.ipk文件,这是wpad二进制文件以及与hostapd和wpa_supplicant。安装命令类似下方这样子:

opkg install wpad-mini-...ipk

放到bin目录下数亿名称的文件替换它。

2、使用LEDE版本最新源码已经有集成此path到最新版本,请自行编译固件,然后刷机。另注:鉴于99010大神多次在群里提及LEDE版本的OpenWRT还有很多bug,本站追随大神,因此不再详述。

凤凰网部分:WPA2(KRACK)攻击漏洞相关公司的固件及驱动升级情况汇总
The end.

ubuntu 14.04 server 安装IT资产管理系统

ubuntu 14.04 server 安装IT资产管理系统

环境:lnmp.org军哥出品的一键包,用的nginx没用apache(官方好像推荐是用apache的)。

步骤:

1、将itdb1.23最新版本的源码拿到手放到wwwroot目录下:

git clone https://github.com/leangjia/itdb.git

注意:会得到一个itdb目录。

2、打开浏览器输入http://abc.com/itdb/

报错提示找不到默认SQLite数据库文件,

/mnt/wwwroot/abc.com/itdb/data/itdb.db not found
if this is a fresh install, copy pure.db to /mnt/wwwroot/abc.com/itdb/data/itdb.db
in unix:
cd /mnt/wwwroot/abc.com/itdb/data; cp pure.db itdb.db

用命令 cp pure.db itdb.db 解决。

3、刷新浏览器后再提示:

Odoo官方翻译transifex同步更新到github的日志log

备忘如下:

Ps:这是8.0的,其他版本同理。

浏览器打开https://github.com/odoo/odoo/commit/8ce1e5134037dfe6cfbd756813e9baa31a221958后,按Ctrl+F搜索关键字zh_CN.po查找简体中文汉化相关的log日志记录。

这样可以跟踪翻译成果,以便决定是否更新ubuntu14中deb方式安装的odoo8.0——假如翻译成果有zh_CN就更新一下,反之不用更新。